Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class PageURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.PageURL

All Implemented Interfaces:
  Cloneable

public class PageURL
extends PostbackURL

The `PageURL` helps portal applications create URLs to books and pages.

See Also:
  `GenericURL`

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`CONTROL_STATE_PARAM, CURRENT_PAGE, DOMAIN, httpRequest, httpResponse, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `PageURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Constructs a PageURL.
`protected` | `PageURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String pageLabel)` Constructs a PageURL.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static PageURL` | `createPageURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Returns a PageURL.
`static PageURL` | `createPageURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String pageLabel)` Returns a PageURL.
`void` | `setPageLabel(String pageLabel)` Sets page label.

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addParameter, addParameter, addParameter, appendEnsureSeparator, createQueryString, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageURL

    protected PageURL(HttpServletRequest httpRequest,
                      HttpServletResponse httpResponse,
                      String pageLabel)

  Constructs a PageURL.

Parameters:
  `httpRequest` - HTTP request
  `httpResponse` - HTTP response
  `pageLabel` - page label

### PageURL

    protected PageURL(HttpServletRequest httpRequest,
                      HttpServletResponse httpResponse)

  Constructs a PageURL.

Parameters:
  `httpRequest` - HTTP request
  `httpResponse` - HTTP response

Method Detail

### createPageURL

    public static PageURL createPageURL(HttpServletRequest httpRequest,
                                        HttpServletResponse httpResponse)

  Returns a PageURL.

  Parameters:
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns:
    PageURL

### createPageURL

    public static PageURL createPageURL(HttpServletRequest httpRequest,
                                        HttpServletResponse httpResponse,
                                        String pageLabel)

  Returns a PageURL.

  Parameters:
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `pageLabel` - page label
  Returns:
    PageURL

### setPageLabel

    public void setPageLabel(String pageLabel)

  Sets page label.

  Parameters:
    `pageLabel` - page label

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `PostbackURL`
  Returns:
    clone

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved